Skip to content
Start here

V2

List images V2
images.v2.list(V2ListParams**kwargs) -> V2ListResponse
GET/accounts/{account_id}/images/v2
ModelsExpand Collapse
class V2ListResponse:
continuation_token: Optional[str]

Continuation token to fetch next page. Passed as a query param when requesting List V2 api endpoint.

maxLength32
images: Optional[List[Image]]
id: Optional[str]

Image unique identifier.

maxLength32
creator: Optional[str]

Can set the creator field with an internal user ID.

maxLength1024
filename: Optional[str]

Image file name.

maxLength255
meta: Optional[object]

User modifiable key-value store. Can be used for keeping references to another system of record for managing images. Metadata must not exceed 1024 bytes.

require_signed_urls: Optional[bool]

Indicates whether the image can be a accessed only using it's UID. If set to true, a signed token needs to be generated with a signing key to view the image.

uploaded: Optional[datetime]

When the media item was uploaded.

formatdate-time
variants: Optional[List[str]]

Object specifying available variants for an image.

V2Direct Uploads

Create authenticated direct upload URL V2
images.v2.direct_uploads.create(DirectUploadCreateParams**kwargs) -> DirectUploadCreateResponse
POST/accounts/{account_id}/images/v2/direct_upload
ModelsExpand Collapse
class DirectUploadCreateResponse:
id: Optional[str]

Image unique identifier.

maxLength32
upload_url: Optional[str]

The URL the unauthenticated upload can be performed to using a single HTTP POST (multipart/form-data) request.